TAAS - Feature #280

Set Target
01/08/2024 06:43 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 01/08/2024
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Avinash MS
Time Taken(HH): Code Reviewed By:

Module: Set Target

Description

Coding Set Target

History

#1 - 03/04/2024 06:18 PM - Junaid M

- Assignee changed from travvise Admin to Greeshma S

#2 - 03/04/2024 06:18 PM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 03/07/2024 01:17 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

Table
target.tbl_set_target
target.tbl_set_target_splitup

#4 - 03/14/2024 02:46 PM - Junaid M
- File sql.sql added

- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

#5 - 03/14/2024 02:51 PM - Junaid M
- File SetTargetSplitup.zip added

#6 - 03/20/2024 09:38 AM - Greeshma S
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#7 - 04/09/2024 06:29 PM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#8 - 04/11/2024 10:56 AM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Show Precision Value In Fields
2.Fix Bugs On New Button
3.Blocking Deletion

#9 - 04/11/2024 06:24 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#10 - 04/12/2024 11:49 AM - unnikannan S
TESTING DONE

#11 - 04/12/2024 11:49 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Bugs On List

#12 - 04/12/2024 06:59 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#13 - 04/13/2024 12:23 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Missing Precision After Save And Choose Ok Button
#14 - 04/13/2024 12:58 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 04/13/2024 03:45 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#16 - 04/15/2024 06:51 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 04/16/2024 10:55 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSE FOUNDED

1.Fix Error On Ok Button (Error converting value {null} to type 'System.Int64'. Path 'binPkld', line 1, position 36.)
2.Missing Service Type In Service List While Grouping On Package
#18 - 04/18/2024 09:37 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Missing Service Type In Service List While Grouping On Package----->not solved (common)

#19 - 05/28/2024 06:36 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Show Validation For Mandatory Fields
#20 - 05/28/2024 07:01 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#21 - 05/29/2024 05:43 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Fix Bugs On Selection
#22 - 05/29/2024 07:55 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 08/03/2024 10:03 AM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from unnikannan S to Avinash MS

Issue:-

--Change in Split up while unticking Month Wise Split Up, Grid alignment changing

#24 - 08/05/2024 10:57 AM - Greeshma S

Technical Blocker:Grouping Header not removed when MonthWise SplitUp is untick for Service and Service Group Cases.

issue Fixed

#25 - 08/09/2024 05:51 PM - unnikannan S

ISSUE FOUNDED

1.Fix Nan Bug While Adding Letters With No and Service Group Type GUI change
#26 - 10/23/2024 02:29 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 11/22/2024 12:22 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND
1) FROM EDIT MODE PRESSING NEW BUTTON IS NOT DISABLING THE SAVE BUTTON

#28 - 11/22/2024 04:00 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

NEW CHANGES

1. Target Type Dropdown items - Company, Branch, Department, Counter Staff(Ticketing), System User, Employee, Commission Agent, Customer,
Supplier, Airline, Hotel

--Company Choose then no Inputs

2. Split Up items - FY, Branch, Department, Counter Staff(Ticketing), System User, Employee, Commission Agent, Service, Service Group, Service
Grouping Type, , Customer, Supplier, Airline, Hotel

--If Choose Customer, Supplier, Airline, Hotel then

*Clear List

*Enable Add Button, Click add button then search popup - Tick More items and Add(Account Search, Hotel Search, etc... with filter)

*Already added items not allowed

3. Grouping Dynamic(List title) --> Selected Split Up items-->Branch, Branch->Selected Split Up items

*FY--> No Grouping

*Month Wise Grouping untick then hide Grouping

#29 - 11/26/2024 10:16 AM - Greeshma S
- Status changed from New Changes to Coding Started
- % Done changed from 50 to 30

#30 - 12/02/2024 07:47 PM - Greeshma S
- Status changed from Coding Started to New Changes Coding Done
- % Done changed from 30 to 70

#31 - 12/19/2024 03:25 PM - Arathy PS
- File clipboard-202412191525-vurps.jpg added

clipboard-202412191525-vurps.jpg

#32 - 12/19/2024 04:48 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGE

1. On the top of each split up in the grid add the total based on each split up-- ON HOLD

2. When target is set for a target type that is already in any split up then load that data into profit and sale target fields -
3. In the split up select box after service grouping type add cash & credit sale.

4. After customer in the split up add customer group, customer type, customer category.

5. After supplier in the split up add supplier group, type, category.

6. Change split up > root split up.

7. Change financial year > Financial year (no split up)

8. Remove monthwise split up checkbox and add a month below financial year in root split up.

9. Remove the month wise split up and in its place add Sub split up (contents same as split up)
10. If financial year is chosen as root split up then sub split up should be disabled.

11. On edit mode of the target the split up options should be disabled .

12. Order of fields in target type should be as:

Company
Branch
Department
Employee
System User
Counter Staff
Com Agent
Customer
Supplier
Airline
Hotel
#33 - 12/30/2024 02:31 PM - Greeshma S
- Status changed from New Changes to Coding Started
- % Done changed from 50 to 30

#34 - 01/14/2025 09:30 AM - Greeshma S
- Status changed from Coding Started to New Changes Coding Done
- % Done changed from 30 to 70

#35 - 02/03/2025 04:18 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1. Add a new category --Service Provider on the main category and in split ups—-- show data grouping based on
i o

2. After Service grouping type add Group (service->Master grouping), type (service->Master grouping), Family (
service->Master grouping), Category (service->Master grouping) .

3. In Service Grouping Type (Sys) -> SERVICE; FIXED_PACKAGE; INVENTORY

4. In the split ups add Service Category(Sys) —-> TICKET, HOTEL, TRANSFER, VISA, OTHER_SERVICE, PACKAGE, INVENT

ORY

*Check if service otherwise discus with anil.

5. If any of the split up is branch wise then branch in branch tab is not mandatory. Same for service as 1if an

y of the split is service the service or package category is not mandatory.

6. On edit mode of a set target (both saved and create mod) if we change split ups then a confirmation message
should be asked?-———- not done Blocker

If yes—-—> Clear the UI based on new split up.

If no-—-> Then restore the previous state.

7. Before branch tab add Parent tab--should be a grid.

—— Inside Grid :- Parent: Select box, % (*B)--title:current target %

——Grid columns:Item,Profit, Sale

-—-Inside the grid:

*Total target:target of the parent that is selected.

*Child target:0ther targets set using the same parent.

*Current target:Target set for the current one.

*Balance: Total-Child-Current.

—-We created a target with split up eg: Company-->Branch-->Employee

—-—then while creating a new target we can choose this as a parent.

——In the percentage field if we enter any value then the total amount of current target can be set by using th
is % value on the target of parent.

8. Show the path(Company-->Branch-->Employee) as label in the parent target above created by:.

DB FIELDS

*Parent target

[

*Target % based on parent
*Current target string --> eg: company-->branch-->employee

#36 - 02/17/2025 11:57 AM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#37 - 02/26/2025 06:01 PM - Arathy PS

- File clipboard-202502261737-iyxea.png added

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Parent not loading on clicking new button.

2. A child cannot be parent to its parent.

3. Balance on save mode is not changing for a child with parent selected.
4. Incorrect amount in the parent tab on edit mode.

5. Values in parent tab keep getting changed.
Company™~ | COMPOO1 Company Name
ProfitTarget | 640000
SaleTarget | 13000.00
Root SplitUp | Branch
SubSplitUp | Month
Less Refund @
Current Torget:  Company -> Branch -> Month
Created By: Administrator(26/02/2025 04:49 PM)
Modified By:
Set Target List
Branch/Month

~  Branch: BROO1:Main
January
February
March
April
May
June
July

Auaust

Set Target

Based On"

Based On™

{INORMAL_PROFIT)}

{(PRICE}

profit

Amount

600.00
500.00

500.00

500,00
700.00
500.00

500.00

Financial Year™ | 01/01/2025 - 31/12/2025 i & oK
] Parent = Branch® Service® Package Category”
Parent M 000
P
Item Sale Profit
Total Target 1700.00 800.00
Child Target 13000.00 6400.00
Current Target 13000.00 6400.00
Balance 2430000 1200000
Profit Target: 6400.00, Sale Target: 13000.00 Y Q 2
sale
Percentage Amount Percentage
0.00 1000.00 0.00
0.00 100000 000
0.00 100000 000
0.00 110000 000
0.00 120000 000
0.00 130000 0.00
0.00 100000 000
0.00 130000 000

6. Target created in one FY is showing as a parent for a target in another financial year.

#38 - 02/28/2025 09:58 AM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#39 - 03/05/2025 12:20 PM - Arathy PS
- File clipboard-202503051110-dltdi.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Percentage not showing
Travvise

Set Target List

Service

SA00T: Air Ticket Service
SA002:: Hotel Serviee
SA005: Other Service
SA006: Package Service
SA003: Transfer Service

SA004: Visa Service

#40 - 03/05/2025 06:44 PM - Greeshma S

Set Target

Company™~ | COMPOO1
Profit Target | 18000.00 Based On”
Sale Target | 10000000 Based On*
Root SplitUp | Service
SubSplitUp | Financial Year(No Splitup)
LessRefund @
Cument Target:  Company -> Service -> Financial Year (No Splitup)
Created By: Administrator(05/03/2025 10:55 AM)
Modified By:

{[SERVICE_FEE}}

{(PRICE}

Profit
Amount
2000.00
3000.00
4000.00
200000
3000.00

4000.00

Financial Year™ | 01/01/2025 - 31/12/2025

Parent | Branch*  Service* Package Category*

Parent

Item

v

o Total Target
Child Target

Current Target

Balance

Profit Target: 18000.00; Sale Target: 100000.00

Percentage
2000

2000

40,00

2000

30000

40000

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#41 - 03/07/2025 03:55 PM - Arathy PS

05/03/2025

Sale

Amount

2000000

12000.00

2000000

1200000

17000.00

18000.00

Percentage




- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. % field should be enabled only when a parent is selected.
2. Service type missing for package in service tab while grouping.

#42 - 03/07/2025 06:57 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 03/19/2025 02:43 PM - Theja Ponon

- File clipboard-202503191426-rq6p5.png added

- File clipboard-202503191426-caykm.png added

- File clipboard-202503191427-qqa%t.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#44 - 03/19/2025 03:12 PM - Theja Ponon
- File clipboard-202503191511-qluly.png added

Issue Found

Company® - | COMPOO1 Company Name Financial Year* | 01/01/2025 - 31/12/2025 v & oK
Profit Target | 5000.00 Bassd On" | {INORMAL_PROFIT)} ) Parent | Branch® | Service* Package Category*
Sale Target | 10000.00 Based On* | {{PRICE}} A | Select All
RoatSplitUp | Month v | Main
SubSpitUp | Service v

Less Refund 1@
Current Target:  Company -» Month -» Senvice
Created By:  Administrator{19/03/2025 02:05 Ph)

Modified By:
Set Target List Profit Target: 5000.00, Sale Target: 10000.00 T @ 2 0

Month/Service Profit Sale

" Amount Percentage Amount Percentage

~  Month: April

SAQDT: Alr Ticket Service 500000 10000 10000.00 0000 4
SA002: Hotel Service 000 000 000 0w s
SA00S: Other Service 000 000 000 000 S
SAQD6: Package Service 000 000 000 W  F
SA003: Transfer Service 000 000 000 0w
SA00A: Visa Service 000 000 000 00 s

2)Branch ,service is defualty unticked after new click

Set Target

Set Target Doesn't Exist.

Department™~ | DP001 Account Financial Year* | 0170172025 - 31/12/2025 v ® oK
Profit Target | 0.00 Based On™ | {{NORMAL_PROFIT]) 4 Parent  Branch* = Service* Package Category*
SaleTarget | Q.00 Based On* | ({PRICE}} 4 select Al
Root SplitUp ' Financial Year(No Splitup) v Main
Less Refund @
Created By:

3)same parent showing twice
clipboard-202503191427-qqadt.png
4)Values are showing in the parent dropdown for parent target
clipboard-202503191511-qluly.png
5)Can delete the parent with child without deleting the child
6)order of month is changing after saving
#45 - 03/19/2025 06:24 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#46 - 03/20/2025 02:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Incorrect amount in the balance column.

#47 - 03/20/2025 06:31 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#48 - 03/25/2025 11:34 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Data in parent tab is not clearing on New click
2)After deleting a target it is still see on the parent dropdown

#49 - 03/25/2025 11:40 AM - Theja Ponon
- File clipboard-202503251138-voyb3.png added

Issue Found

1)Data in parent tab is not clearing on New click

2)After deleting a target it is still see on the parent dropdown
3lssue In target with no split up
clipboard-202503251138-voyb3.png

#50 - 03/25/2025 06:14 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#51 - 03/26/2025 03:07 PM - Theja Ponon
- File clipboard-202503261506-tqlkx.png added

Issue Found

1)All target are not load in parent dropdwon
2)Without selecting parent data is showing in table

ravvise Set Target

hVEL SOLUTIGN PVT LTD

Department*~ | DP0O1 Account

Profit Target | 500.00 Based On*  {{NORMAL_PROFIT}}
Sale Target | 400.00 Based On* = {PRICE}
Root SplitUp  Financial Year(No Splitup) v

Less Refund
Current Target: Department -> Financial Year (No Splitup) -> Financial Year (No Splitup)
Created By: Administrator(25/03/2025 11:30 AM)
Modified By:

05/03/2025

Financial

01/01/2025 - 31/12/2025 7

Year*

Parent

Branch*

Parent

Service*

Package Category*

Item
Total Target

Child Target

Sale

500.00

500.00

0.00

Profit

1000.00

500.00

Current Target

Balance

400.00

100.00

500.00

500.00
#52 - 03/27/2025 10:41 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1.Change the position of root split up and sub split up to below main category and financial year.
--below that the string name should appear.

2. If service is present in grouping then service tab should be hidden.

-- if branch is included in grouping then branch tab should be hidden.

3. Increase the length of financial year select box accordigly.

#53 - 04/02/2025 06:31 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#54 - 04/05/2025 02:24 PM - Theja Ponon
- File clipboard-202504051355-Ithx0.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

Set Target 29 = ve - [ 2 2 | < ©

pse Please Select Branch

Company™~ | COMP0O1 Company Name Financial Year"

01/01/2025 - 31/12/2025 v & 0K
it RootSpitUp  Branch v SubSpitUp | Financial Year(No Splitup) he
5 Target Name: - Company -> Branch -> Financial Year (No Splitup)
prt N
Profit Target | 1000.00 Based On* | {{NORMAL_PROFIT} 4 Parent  Package Category
" -
= Sale Torget | 1000000 Based On* | {PRICE} ) Parent | Company -> Financial Year (No Splitup) e * 000
LessRefund @ ltem Sale Profit
Created By: Total Target 50000.00 1000.00
Modified By:
Child Target 000 000
Current Target 1000000 100000
o Balance 40000.00 0.00
s
s n | =
Profit Target: 1000.00, Sale Target: 10000.00 T Q@ 2 @

Branch Profit sale
Amount Percentage Amount Percentage

BROO1:Main 1000.00 100.00 10000.00 100.00 ra
2)same target load as parent for the target

#55 - 04/05/2025 06:07 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#56 - 04/08/2025 11:53 AM - Theja Ponon

- File clipboard-202504081139-zijfb.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Issue on disappearing tabs and on new click tabs are not appearing

#57 - 04/09/2025 09:34 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
